Bug 1526591 - jenkins: Random failures to initialize the setup wizard on startup
Summary: jenkins: Random failures to initialize the setup wizard on startup
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1526592 1526593
Blocks: 1526600
TreeView+ depends on / blocked
 
Reported: 2017-12-15 19:23 UTC by Pedro Sampaio
Modified: 2021-02-17 01:04 UTC (History)
9 users (show)

Fixed In Version: jenkins 2.95, jenkins 2.89.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:34:33 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-12-15 19:23:45 UTC
A race condition during Jenkins startup could result in the wrong order of execution of commands during initialization. 

On Jenkins 2.81 and newer, including LTS 2.89.1, this could in rare cases (estimated less than 20% of new instances) result in failure to initialize the setup wizard on the first startup. This may result in the security settings not being set to their usual strict default

External references:

https://jenkins.io/security/advisory/2017-12-14/

Comment 1 Pedro Sampaio 2017-12-15 19:25:18 UTC
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1526592]
Affects: openshift-1 [bug 1526593]

Comment 2 Mark Knowles 2017-12-22 00:42:19 UTC
The Openshift 3.7 Jenkins RPM is jenkins-0:2.73.3-1.el7.noarch, which contains jenkins.war (version 2.73.3).  The spec file indicates that no modifications are applied to the war file.

According to the advisory, Jenkins 2.73.3 is not affected.


Note You need to log in before you can comment on or make changes to this bug.